function count= btd_UpA(s)
    
  // UpG Islands
  // 
  // Calling Sequence
  //   y = btd_UpG ( x )
  // 
  // Parameters
  //   x : String of single-letter codes specifying a DNA/RNA sequence
  //   y : Count of 'AT'/'AU' dinucleotides 
  // 
  // Description
  // To count 'AT'/'AU' dinucleotides in  a DNA/RNA sequence
  // 
  // Examples
  // y = btd_UpA("ATCGATCGATCGTATATGCTAGCTA")
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, Priyadharshini K, Aswathi B L, Vidya R V, 2015

    r=strsubst(s,"T","U")
    l=length(s)
        no=regexp(r,'/AU/')
    count=length(no)
endfunction
