function Out=btd_aacount(x)
    
   // Amino Acid Count
  // 
  // Calling Sequence
  //   y = btd_aacount ( x )
  // 
  // Parameters
  //   x : String of single-letter codes specifying an amino acid sequence
  //   y : Frequency of each aminoacid
  // 
  // Description
  // Count amino acids in sequence
  // 
  // Examples
  // y = = btd_aacount("AQIILPNMQRRRSTVHPQAABCDBCEFFGHWWIV")
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S,Priyadharshini K, 2015
  
len=length(x);
seq=mstr2sci(x)
    A=grep(seq,"A");
        Ai=length(A)
             a(1) = "A  :  ";
             a(2) = string(Ai);
             Out(1) = strcat(a);
    B=grep(seq,"B");
        Bi=length(B)
             b(1) = "B  :  ";
             b(2) = string(Bi);
             Out(2) = strcat(b);
    C=grep(seq,"C");
        Ci=length(C)
             c(1) = "C  :  ";
             c(2) = string(Ci);
             Out(3) = strcat(c);
    D=grep(seq,"D");
        Di=length(D)
             d(1) = "D  :  ";
             d(2) = string(Di);
             Out(4) = strcat(d);
    E=grep(seq,"E");
        Ei=length(E)
             e(1) = "E  :  ";
             e(2) = string(Ei);
             Out(5) = strcat(e);
    F=grep(seq,"F");
        Fi=length(F)
             f(1) = "F  :  ";
             f(2) = string(Fi);
             Out(6) = strcat(f);
    G=grep(seq,"G");
        Gi=length(G)
             g(1) = "G  :  ";
             g(2) = string(Gi);
             Out(7) = strcat(g);
    H=grep(seq,"H");
        Hi=length(H)
             h(1) = "H  :  ";
             h(2) = string(Hi);
             Out(8) = strcat(h);
    I=grep(seq,"I");
        Ii=length(I)
             i(1) = "I  :  ";
             i(2) = string(Ii);
             Out(9) = strcat(i);
    K=grep(seq,"K");
        Ki=length(K)
             k(1) = "K  :  ";
             k(2) = string(Ki);
             Out(10) = strcat(k);
    L=grep(seq,"L");
        Li=length(L)
             l(1) = "L  :  ";
             l(2) = string(Li);
             Out(11) = strcat(l);
    M=grep(seq,"M");
        Mi=length(M)
             m(1) = "M  :  ";
             m(2) = string(Mi);
             Out(12) = strcat(m);
    N=grep(seq,"N");
        Ni=length(N)
             n(1) = "N  :  ";
             n(2) = string(Ni);
             Out(13) = strcat(n);
    P=grep(seq,"P");
        Pi=length(P)
             p(1) = "P  :  ";
             p(2) = string(Pi);
             Out(14) = strcat(p);
    Q=grep(seq,"Q");
        Qi=length(Q)
             q(1) = "Q  :  ";
             q(2) = string(Qi);
             Out(15) = strcat(q);
    R=grep(seq,"R");
        Ri=length(R)
             r(1) = "R  :  ";
             r(2) = string(Ri);
             Out(16) = strcat(r);
    S=grep(seq,"S");
        Si=length(S)
             s(1) = "S  :  ";
             s(2) = string(Si);
             Out(17) = strcat(s);
    T=grep(seq,"T");
        Ti=length(T)
             t(1) = "T  :  ";
             t(2) = string(Ti);
             Out(18) = strcat(t);
    V=grep(seq,"V");
        Vi=length(V)
             v(1) = "V  :  ";
             v(2) = string(Vi);
             Out(19) = strcat(v);
    W=grep(seq,"W");
        Wi=length(W)
             w(1) = "W  :  ";
             w(2) = string(Wi);
             Out(20) = strcat(w);
    Y=grep(seq,"Y");
        Yi=length(Y)
             y(1) = "Y  :  ";
             y(2) = string(Yi);
             Out(21) = strcat(y);
    Z=grep(seq,"Z");
        Zi=length(Z)
             z(1) = "Z  :  ";
             z(2) = string(Zi);
             Out(22) = strcat(z);
endfunction


















