function Out=btd_basecount(x)
    
   // Base Count
  // 
  // Calling Sequence
  //   y = btd_basecount ( x )
  // 
  // Parameters
  //   x : String of codes specifying a nucleotide sequence
  //   y : A, T, G, C with their counts
  // 
  // Description
  // To Count nucleotides in a sequence
  // 
  // Examples
  // y = btd_basecount("AATGCTTGGAA")
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, Priyadharshini K, 2015

    len=length(x);
    seq=mstr2sci(x)
    A=grep(seq,"A");
    Ai=length(A)
         a(1) = "A  :  ";
         a(2) = string(Ai);
         Out(1) = strcat(a);
    
    T=grep(seq,"T");
    Ti=length(T)
         t(1) = "T  :  ";
         t(2) = string(Ti);
         Out(2) = strcat(t);
         
    G=grep(seq,"G");
    Gi=length(G)
         g(1) = "G  :  ";
         g(2) = string(Gi);
         Out(3) = strcat(g);
    
    C=grep(seq,"C");
    Ci=length(C)
         c(1) = "C  :  ";
         c(2) = string(Ci);
         Out(4) = strcat(c); 
    
   
endfunction


















