function seq = btd_getuniprot(n)
    
    
  // Get GenUniport
  // 
  // Calling Sequence
  //    btd_getPDB ( x )
  // 
  // Parameters
  //   x : Unique identifier for a sequence record
  //   
  // 
  // Description
  // Retrieve sequence information from UniProt database
  // 
  // Examples
  //  btd_getPDB('P31946')
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, Priyadharshini K, 2015

    out(1) = 'http://www.uniprot.org/uniprot/';
    out(2) = string(n);
    //out(3) = '&download=txt';
    inseq = strcat(out);
    seq = getURL(inseq);
endfunction
