function seq = btd_getembl(n)
   // Get EMBL
  // 
  // Calling Sequence
  //    btd_getembl ( x )
  // 
  // Parameters
  //   x : Unique identifier for a sequence record
  //   
  // 
  // Description
  // Retrieve sequence information from EMBL database
  // 
  // Examples
  //  btd_getembl('X00558')
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, 2015
   
    
    out(1) = 'http://www.ebi.ac.uk/Tools/dbfetch/dbfetch?db=EMBL&id=';
    out(2) = string(n);
    out(3) = '&download=txt';
    inseq = strcat(out);
    seq = getURL(inseq);
endfunction
