function rseq = btd_randntseq(n)
    
  // Random Nucleotide Sequence 
  // 
  // Calling Sequence
  //   y = btd_randntseq ( x )
  // 
  // Parameters
  //   x : Integer that specifies the number of nucleotides in the random sequence
  //   y : A random nucleotide sequence with a length specified x
  // 
  // Description
  // To generate random nucleotide sequence from finite alphabet
  // 
  // Examples
  // y = btd_randntseq(10)
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, 2015


    for i = 1:n
        k = grand(1, "prm", (['A' 'C' 'G' 'T'])')';
        out(i) = k(1:1);
    end
    rseq = strcat(out);
endfunction
